Page 1 of 9 123 ... LastLast
Results 1 to 10 of 89

Thread: problem with init-udev on startup

  1. #1
    Join Date
    Apr 2010
    Beans
    165

    problem with init-udev on startup

    Ok so when I start up ubuntu now I get an error message which says something like

    "scripts/init-udev/line 21/ nuke not found"

    (I'm not sure exactly as it only shows up briefly) also after logging in I get a blank black screen for quite a while before it shows me my desktop.

    I get the feeling this is all related to a (now fixed) problem I was having

    http://ubuntuforums.org/showthread.php?t=2187724

    any help would be greatly appreciated.

  2. #2
    Join Date
    Apr 2010
    Beans
    165

    Re: problem with init-udev on startup

    actually I made a mistake, it says "scripts/init-bottom/udev/line 21/ nuke not found"


  3. #3
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    14,199
    Distro
    Xubuntu 22.04 Jammy Jellyfish

    Re: problem with init-udev on startup

    slgtheindividual; Hello, once more .

    Let's see if this is the control file in question, and if there is a problem with it:
    Code:
    cat -n /usr/share/initramfs-tools/scripts/init-bottom/udev
    strange things do happen
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  4. #4
    Join Date
    Apr 2010
    Beans
    165

    Re: problem with init-udev on startup

    hello again and thank you for your help again

    Code:
    ~$ cat -n /usr/share/initramfs-tools/scripts/init-bottom/udev     1	#!/bin/sh -e
         2	
         3	PREREQS=""
         4	
         5	prereqs() { echo "$PREREQS"; }
         6	
         7	case "$1" in
         8	    prereqs)
         9	    prereqs
        10	    exit 0
        11	    ;;
        12	esac
        13	
        14	# Stop udevd, we'll miss a few events while we run init, but we catch up
        15	udevadm control --exit
        16	
        17	# move the /dev tmpfs to the rootfs
        18	mount -n -o move /dev ${rootmnt}/dev
        19	
        20	# create a temporary symlink to the final /dev for other initramfs scripts
        21	nuke /dev
        22	ln -s ${rootmnt}/dev /dev
        23

  5. #5
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    14,199
    Distro
    Xubuntu 22.04 Jammy Jellyfish

    Re: problem with init-udev on startup

    slgtheindividual' Welp,

    Looks like someone has been editing system files !
    Line 21 does not look like anything I have ever seen before.

    Did you make a backup of the file prior to editing ?
    NO ??
    Remind me once more what version you have installed:
    Code:
    lsb_release -a
    uname -a
    Version 13.04 looks like this:
    sysop@1304mini:~$ cat -n /usr/share/initramfs-tools/scripts/init-bottom/udev
    1 #!/bin/sh -e
    2 # initramfs init-bottom script for udev
    3
    4 PREREQ=""
    5
    6 # Output pre-requisites
    7 prereqs()
    8 {
    9 echo "$PREREQ"
    10 }
    11
    12 case "$1" in
    13 prereqs)
    14 prereqs
    15 exit 0
    16 ;;
    17 esac
    18
    19
    20 # Stop udevd, we'll miss a few events while we run init, but we catch up
    21 udevadm control --timeout=121 --exit || \
    22 echo "udev exit failed -- rc=$?"
    23
    24 # Move /dev to the real filesystem
    25 mount -n -o move /dev ${rootmnt}/dev
    sysop@1304mini:~$
    Looks like we are hitting close to home !

    got it by the tail
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  6. #6
    Join Date
    Apr 2010
    Beans
    165

    Re: problem with init-udev on startup

    I'm not saying you're wrong, but I never edited that file (I tend not to mess with stuff when I don't know what it does lol) so I have no idea what happened.

    Anyway here's the output:

    Code:
    ~$ lsb_release -a
    No LSB modules are available.
    Distributor ID:	Ubuntu
    Description:	Ubuntu 13.10
    Release:	13.10
    Codename:	saucy
    ~$ uname -a
    Linux slg-Aspire-E1-571 3.11.0-14-generic #21-Ubuntu SMP Tue Nov 12 17:04:55 UTC 2013 x86_64 GNU/Linux

  7. #7
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    14,199
    Distro
    Xubuntu 22.04 Jammy Jellyfish

    Re: problem with init-udev on startup

    slgtheindividual; Hey !

    Strange things happen !

    Lemme have a bit to get caught up on the forum and I will (RE-)boot into my 13.10 install and see what that files looks like there.
    (need to do the updates on that install, anyway)

    I'll Be Bacckk
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  8. #8
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    14,199
    Distro
    Xubuntu 22.04 Jammy Jellyfish

    Re: problem with init-udev on startup

    slgtheindividual; I am back.

    Now a bit of uncertaintly do exist:
    Here is my 13.10 "udev" file:
    Code:
    sysop@1304mini:~$ cat -n /mnt/backup/udev-1310
         1  #!/bin/sh -e
         2
         3  PREREQS=""
         4
         5  prereqs() { echo "$PREREQS"; }
         6
         7  case "$1" in
         8      prereqs)
         9      prereqs
        10      exit 0
        11      ;;
        12  esac
        13
        14  # we cannot properly synthesize LVM LV change events with udevadm trigger, so
        15  # if we use LVM, we need to let it finish; otherwise we get missing LV symlinks
        16  # (LP #1185394)
        17  if [ -x /sbin/vgchange ]; then
        18      udevadm settle --timeout=121 || true
        19  fi
        20
        21  # Stop udevd, we'll miss a few events while we run init, but we catch up
        22  udevadm control --timeout=121 --exit || \
        23              echo "udev exit failed -- rc=$?"
        24
        25  # move the /dev tmpfs to the rootfs
        26  mount -n -o move /dev ${rootmnt}/dev
        27
        28  # create a temporary symlink to the final /dev for other initramfs scripts
        29  rm -rf /dev
        30  ln -s ${rootmnt}${udev_root} /dev
        31
    sysop@1304mini:~$
    And too confuse matters more: this is 12.04's ;
    Code:
    sysop@1304mini:~$ cat -n /mnt/backup/udev-1204
         1  #!/bin/sh -e
         2  # initramfs init-bottom script for udev
         3
         4  PREREQ=""
         5
         6  # Output pre-requisites
         7  prereqs()
         8  {
         9          echo "$PREREQ"
        10  }
        11
        12  case "$1" in
        13      prereqs)
        14          prereqs
        15          exit 0
        16          ;;
        17  esac
        18
        19
        20  # Stop udevd, we'll miss a few events while we run init, but we catch up
        21  udevadm control --timeout=121 --exit || \
        22          echo "udev exit failed -- rc=$?"
        23
        24  # Move /dev to the real filesystem
        25  mount -n -o move /dev ${rootmnt}/dev
    sysop@1304mini:~$
    -------------
    Let's do this .. pending advisement from those of greater knowledge:
    make a back up of the current "udev" file:
    Code:
    sudo cp /usr/share/initramfs-tools/scripts/init-bottom/udev /usr/share/initramfs-tools/scripts/init-bottom/udev-old
    Now let's edit the file;
    make line 21 and 22 like so:
    Code:
     rm -rf /dev
     ln -s ${rootmnt}${udev_root} /dev
    in the favorite text editor "gedit"; in accord with what my 13.10 install has.
    Code:
    gksudo gedit /usr/share/initramfs-tools/scripts/init-bottom/udev
    save the file, exit back to terminal, reboot and see what happends.

    OK, all looking good, now let's see what the package manager says:
    Code:
    sudo apt-get update
    sudo apt-get upgrade
    AND post back IF there are errors in the package management system. Still looking good ?
    Once more (RE-)Boot, and tell me all is "finer than a frogs hair" !

    that's what I think
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  9. #9
    Join Date
    Apr 2010
    Beans
    165

    Re: problem with init-udev on startup

    ok after editing the file I'm still getting the exact same error at startup and black screen.

  10. #10
    Join Date
    Apr 2010
    Beans
    165

    Re: problem with init-udev on startup

    also I tried to run an update after restarting but it stops at
    Code:
     Ign http://gb.archive.ubuntu.com saucy-backports/universe Translation-en_GB100% [Waiting for headers]

Page 1 of 9 123 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •